%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Requires
Version:       0.11
Release:       1mamba
Summary:       Test::Requires - Checks to see if the module can be loaded
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/T/TO/TOKUHIROM/Test-Requires-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Test::Requires - Checks to see if the module can be loaded.

%prep
%setup -q -n Test-Requires-%{version}

%build
%{__perl} Makefile.PL installdirs=vendor

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} \
   -type f \( -name perllocal.pod -o -name .packlist \) -exec rm -f {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Mon May 18 2020 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic update by autodist

* Sun Jun 11 2017 Automatic Build System <autodist@mambasoft.it> 0.10-1mamba
- automatic update by autodist

* Wed Nov 05 2014 Automatic Build System <autodist@mambasoft.it> 0.08-1mamba
- automatic update by autodist

* Tue Dec 10 2013 Automatic Build System <autodist@mambasoft.it> 0.07-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.06-2mamba
- perl 5.16 mass rebuild

* Sat Oct 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.06-1mamba
- package created by autospec
